package com.twt.twitter;

import java.util.Properties;
import java.util.Timer;
import java.io.IOException;

public class TwitterPoller {

    protected static final String CONFIG_FILE = "/config.properties";
    protected static final String CHECK_INTERVAL = "twitter.check.interval.seconds";

    public static void main(String args[]) {
        try {
            Properties systemSettings = System.getProperties();
            systemSettings.load(TwitterExecutor.class.getResourceAsStream(CONFIG_FILE));
            System.setProperties(systemSettings);
            long interval = Long.parseLong(System.getProperty(CHECK_INTERVAL));
            Timer timer = new Timer();
            timer.schedule(new TwitterExecutor(), 0, interval * 1000);
        } catch (IOException e) {
            System.err.println(e.getMessage());
            e.printStackTrace();
        }
    }

}
